Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Dec 2023 15:38:44 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Tue, 19 Dec 2023 13:24:12 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't see any such tests.  So yes, it would be good to add them.
> > But at the very least we should consider all of the above
> > theoretically and see if any of them are expected/supposed to change
> > as result of this.
> 
> Do you still think that we need to discuss special cases further, after
> Stefan's reply?

Stefan seems to say the problem shouldn't exist, barring bugs.  So no,
discussions are not needed, but tests will be welcome

> For example, I have no clue if below is expected
> 
> (defvar test/foo 'value)
> (default-boundp 'test/foo)
> (default-value 'test/foo) ;; -> value
> (let ((test/foo t))
>   (default-value 'test/foo)) ;; -> t ???
> 
> (defvar-local test/foo2 'value)
> (default-boundp 'test/foo2) ;; -> t
> (default-value 'test/foo2) ;; -> value
> (let ((test/foo2 t))
>   (default-value 'test/foo2)) ;; -> t ???
> (setq-default test/foo2 'value2)
> (default-boundp 'test/foo2) ;; -> t
> (default-value 'test/foo2) ;; -> value2
> (let ((test/foo2 t))
>   (default-value 'test/foo2)) ;; -> t ???

I'll let Stefan answer that.